Skip to content
POST/{organizationId}/crm/proofs/types/list

Gets a list of proof types

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/crm/proofs/types/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/proofs/types/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "types": [
    {
      "_id": "000000000000000000000001",
      "name": "string",
      "validity": {
        "mode": "oneTime",
        "interval": {
          "value": 1,
          "unit": "hours"
        },
        "dueBeforeDays": 2,
        "overdueBeforeDays": 1
      },
      "requestMail": {
        "subject": "string",
        "message": "string"
      },
      "confirmationMail": {
        "subject": "string",
        "message": "string"
      },
      "requiredFields": [
        "issuedAt"
      ],
      "contactSegments": [
        "string"
      ],
      "total": 0,
      "required": 0,
      "requested": 0,
      "confirmed": 0,
      "due": 0,
      "overdue": 0,
      "expired": 0
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}